/*
 * Quoridor server and related libraries
 * Copyright (C) 2009-2010 Martin Rexa
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. Look for COPYING file in the top folder.
 * If not, see http://www.gnu.org/licenses/.
 */
package cz.xelfi.quoridor.statistics;

import cz.xelfi.quoridor.Move;
import cz.xelfi.quoridor.webidor.GameId;
import cz.xelfi.quoridor.webidor.GameStatus;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;

/**
 *
 * @author Martin Rexa
 */
@XmlAccessorType(XmlAccessType.FIELD)
public class OpeningNodeViewEntry extends Object{
    String move;
    String code;
    GameId gameId;
    GameId whiteGame;
    GameId blackGame;
    int whiteWon;
    int blackWon;

    public OpeningNodeViewEntry(){
    }

    public OpeningNodeViewEntry(Move m, String code){
        move = m.toString();
        this.code = code;
    }

    public void processGame(GameId gId){
        gameId = gId;
        if(gId.getStatus().equals(GameStatus.whiteWon)){
            whiteWon++;
            whiteGame = gId;
        }
        if(gId.getStatus().equals(GameStatus.blackWon)){
            blackWon++;
            blackGame = gId;
        }
    }

    @Override
    public boolean equals(Object obj){
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final OpeningNodeViewEntry other = (OpeningNodeViewEntry) obj;
        return this.move.equals(other.move);
    }

    @Override
    public String toString(){
        return move+": "+whiteWon+"/"+blackWon;
    }

}
